<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper page-listshipment">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            {{title}}
            <small></small>
        </h1>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">List shipment</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="content">
                    <div class="filter hidden">
                        <div class="row">
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Country code</label>
                                    <select (change)="filterShipment()" name="country_code" id="country_code"
                                        class="form-control">
                                        <option value="FR">Phap</option>
                                        <option value="FR">Viet Nam</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label>Name , email</label>
                                    <input (change)="filterShipment()" type="text" name="locality" placeholder=""
                                        class="form-control" />
                                </div>
                            </div>
                            <div class="col-sm-3"></div>
                        </div>
                    </div>
                    <div class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="pull-right {{!ref?'hidden':'block'}}" style="float: right;">
                            <div> <span style="color: red"> Are you sure delete this! </span>
                                <a (click)="deleteShipment()" class="btn btn-danger btn-sm">
                                    Delete
                                </a>
                                <a (click)="cancelDeleteShipment()" class="btn btn-default">
                                    Cancel
                                </a>
                            </div>
                        </div>


                        <table id="table-list_" class="table table-bordered table-hover dataTable">
                            <thead>
                                <tr>
                                    <th scope="col">REF</th>
                                    <th scope="col">Sender</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">From</th>
                                    <th scope="col">To</th>
                                    <th scope="col" colspan="3" style="text-align: center">Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                <tr *ngFor="let ship of listShipment; index as i;" id="id_{{ship.ref}}">
                                    <td>{{ship.ref}}</td>
                                    <td>{{ship?.origin?.contact?.name }}</td>
                                    <td>{{ship?.origin?.contact?.email }}</td>
                                    <td>{{ship?.origin?.address?.address_line1 }} - {{ship?.origin?.address?.locality }}
                                    </td>
                                    <td>{{ship?.destination?.address?.address_line1 }} -
                                        {{ship?.destination?.address?.locality }}
                                    </td>
                                    <td><a href="" routerLink="/shipment/detail/{{ship.ref }}"
                                            class=" btn-xs btn btn-info">
                                            View
                                        </a></td>
                                    <td><a href="" routerLink="/shipment/edit/{{ship.ref }}"
                                            class=" btn-xs  btn btn-primary">
                                            Edit
                                        </a></td>
                                    <td> <a (click)="comfirmDelete(ship.ref)" class=" btn-xs  btn btn-danger">
                                            Delete
                                        </a></td>

                                </tr>
                            </tbody>
                        </table>
                        <div class="text-center" *ngIf="numPage > 10;">
                            <ul class="pagination">
                                <li>
                                    <a (click)="loadPagination(1)">
                                    </a>
                                </li>
                                <li *ngFor="let i of pagination;">
                                    <a (click)="loadPagination(i)" class="{{pageCurrent==i?'active':''}}">{{i}}</a>
                                </li>
                                <li>
                                    <a (click)="loadPagination(numPage)"> >> </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <script>
                    $(function () {
                        $('table-list').DataTable({
                            'paging': true,
                            'lengthChange': false,
                            'searching': false,
                            'ordering': true,
                            'info': true,
                            'autoWidth': false
                        })
                    })</script>
                <!-- set up the modal to start hidden and fade in and out -->
                <div id="myModal_delete" class="modal fade">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <!-- dialog body -->
                            <div class="modal-body">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                Hello world!
                            </div>
                            <!-- dialog buttons -->
                            <div class="modal-footer"><button type="button" class="btn btn-primary">OK</button></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
